## apt 0.7.25.3ubuntu7

=== debian/changelog ===
apt (0.7.25.3ubuntu7) lucid; urgency=low

  Cherry pick fixes from the lp:~mvo/apt/mvo branch:

  [ Evan Dandrea ]
  * Remember hosts with general failures for
    https://wiki.ubuntu.com/NetworklessInstallationFixes (LP: #556831).
  
  [ Michael Vogt ]
  * improve debug output for Debug::pkgPackageManager

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Apr 2010 20:30:03 +0200

apt (0.7.25.3ubuntu6) lucid; urgency=low

  * cmdline/apt-get.cc:
    - fix crash when pkg.VersionList() is empty (LP: #556056)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 08 Apr 2010 21:13:25 +0200

apt (0.7.25.3ubuntu5) lucid; urgency=low

  [ David Kalnischkies ]
  * cmdline/apt-get.cc:
    - try version match in FindSrc first exact than fuzzy (LP: #551178)

  [ Jean-Baptiste Lallement ]
  * apt-pkg/contrib/strutl.cc:
    - always escape '%' (LP: #130289) (Closes: #500560)
    - unescape '%' sequence only if followed by 2 hex digit
    - username/password are urlencoded in proxy string (RFC 3986)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 31 Mar 2010 21:59:42 +0200

apt (0.7.25.3ubuntu4) lucid; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/deb/debversion.cc:
    - consider absent of debian revision equivalent to 0 (Closes: #573592)
      LP: #540228
  * cmdline/apt-get.cc, apt-pkg/cdrom.cc:
   - fix memory leaks in error conditions in DoSource()
  * apt-pkg/deb/dpkgpm.cc:
   - fix error message construction in OpenLog()
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 26 Mar 2010 16:57:49 +0100

apt (0.7.25.3ubuntu3) lucid; urgency=low

  * apt-pkg/indexfile.cc:
    - remove "cs" from languages that need the full langcode when
      downloading translations (thanks to Steve Langasek)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Mar 2010 09:42:39 +0100

apt (0.7.25.3ubuntu2) lucid; urgency=low

  [ Michael Vogt ]
  * abicheck/
    - add new abitest tester using the ABI Compliance Checker from
      http://ispras.linuxfoundation.org/index.php/ABI_compliance_checker
  * debian/apt.conf.autoremove:
    - add "oldlibs" to the APT::Never-MarkAuto-Sections as its used
      for transitional packages
  * apt-pkg/deb/dpkgpm.cc:
    - fix backgrounding when dpkg runs (closes: #486222)
  * cmdline/apt-mark:
    - show error on incorrect aguments (LP: #517917), thanks to
      Torsten Spindler
  * cmdline/apt-get.cc:
    - if apt-get source foo=version or foo/distro can not be found,
      error out (LP: #502641)
  * apt-pkg/indexfile.cc:
    - deal correctly with three letter langcodes (LP: #391409)
  * debian/apt.cron.daily:
    - do not look into admin users gconf anymore for the http proxy
      the user now needs to use the "Apply system-wide" UI in the
      gnome-control-center to set it
  * debian/apt.postinst:
    - add set_apt_proxy_from_gconf() and run that once on upgrade if
      there is no proxy configured already system-wide (LP: #432631)
      From that point on gnome-control-center will have to warn if
      the user makes changes to the proxy settings and does not apply
      them system wide

  [ Robert Collins ]
  * Change the package index Info methods to allow apt-cache policy to be
    useful when using several different archives on the same host.
    (Closes: #329814, LP: #22354)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Mar 2010 23:10:52 +0100

apt (0.7.25.3ubuntu1) lucid; urgency=low

  [ Michael Vogt ]
  * merged with the debian-sid branch
  * methods/http.cc:
    - add Acquire::http::ProxyAutoDetect configuration that 
      can be used to call a external helper to figure out the 
      proxy configuration and return it to apt via stdout
      (this is a step towards WPAD and zeroconf/avahi support)
  
  [ Ivan Masár ]
  * Slovak translation update. Closes: #568294

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Feb 2010 23:33:32 +0100

apt (0.7.25.3) unstable; urgency=low

  [ Christian Perrier ]
  * Italian translation update. Closes: #567532

  [ David Kalnischkies ]
  * apt-pkg/contrib/macros.h:
    - install the header system.h with a new name to be able to use
      it in other headers (Closes: #567662)
  * cmdline/acqprogress.cc:
    - Set Mode to Medium so that the correct prefix is used.
      Thanks Stefan Haller for the patch! (Closes: #567304 LP: #275243)
  * ftparchive/writer.cc:
    - generate sha1 and sha256 checksums for dsc (Closes: #567343)
  * cmdline/apt-get.cc:
    - don't mark as manually if in download only (Closes: #468180)

 -- Michael Vogt <mvo@debian.org>  Mon, 01 Feb 2010 18:41:15 +0100

apt (0.7.25.2) unstable; urgency=low

  [ Michael Vogt ]
  * apt-pkg/contrib/cdromutl.cc:
    - fix UnmountCdrom() fails, give it a bit more time and try
      the umount again
  * apt-pkg/cdrom.cc:
    - fix crash in pkgUdevCdromDevices
  * methods/cdrom.cc:
    - fixes in multi cdrom setup code (closes: #549312)
    - add new "Acquire::cdrom::AutoDetect" config that enables/disables
      the dlopen of libudev for automatic cdrom detection. Off by default
      currently, feedback/testing welcome
  * cmdline/apt-cdrom.cc:
    - add new --auto-detect option that uses libudev to figure out
      the cdrom/mount-point
  * cmdline/apt-mark:
    - merge fix from Gene Cash that supports markauto for
      packages that are not in the extended_states file yet
      (closes: #534920)
  * ftparchive/writer.{cc,h}:
    - merge crash fix for apt-ftparchive on hurd, thanks to
      Samuel Thibault for the patch (closes: #566664)

  [ David Kalnischkies ]
  * apt-pkg/contrib/fileutl.cc:
    - Fix the newly introduced method GetListOfFilesInDir to not
      accept every file if no extension is enforced
      (= restore old behaviour). (Closes: #565213)
  * apt-pkg/policy.cc:
    - accept also partfiles with "pref" file extension as valid
  * apt-pkg/contrib/configuration.cc:
    - accept also partfiles with "conf" file extension as valid
  * doc/apt.conf.5.xml:
    - reorder description and split out syntax

