=== debian/control ===
--- 
+++ 
@@ -12,8 +12,7 @@
 
 Package: apt
 Architecture: any
-Depends: ${shlibs:Depends}
-Priority: important
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
 Provides: ${libapt-pkg:provides}
 Recommends: ubuntu-keyring
@@ -29,6 +28,7 @@
 Package: apt-doc
 Architecture: all
 Priority: optional
+Depends: ${misc:Depends}
 Replaces: apt (<< 0.5.4.9)
 Section: doc
 Description: Documentation for APT
@@ -38,7 +38,7 @@
 Package: libapt-pkg-dev
 Architecture: any
 Priority: optional
-Depends: apt (= ${binary:Version}), apt-utils (= ${binary:Version}), ${libapt-pkg:provides}, ${libapt-inst:provides}
+Depends: apt (= ${binary:Version}), apt-utils (= ${binary:Version}), ${libapt-pkg:provides}, ${libapt-inst:provides}, ${misc:Depends}
 Section: libdevel
 Description: Development files for APT's libapt-pkg and libapt-inst
  This package contains the header files and libraries for
@@ -48,6 +48,7 @@
 Package: libapt-pkg-doc
 Architecture: all
 Priority: optional
+Depends: ${misc:Depends}
 Section: doc
 Description: Documentation for APT development
  This package contains documentation for development of the APT
@@ -55,7 +56,7 @@
 
 Package: apt-utils
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${libapt-inst:provides}
 Replaces: apt (<< 0.5.9)
 Description: APT utility programs
@@ -68,7 +69,7 @@
 
 Package: apt-transport-https
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Priority: optional
 Description: APT https transport
  This package contains a APT https transport. It makes it possible to
