## apt 0.7.25.3ubuntu9.1common1

=== debian/changelog ===
apt (0.7.25.3ubuntu9.1common1) lucid; urgency=low

  * Merge with lucid-proposed.

 -- Martin Pitt <martin.pitt@canonical.com>  Mon, 19 Jul 2010 14:06:09 +0200

apt (0.7.25.3ubuntu9.1) lucid-proposed; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - Fix segmentation fault when /var/log/apt ist missing. LP: #535509

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Jul 2010 14:35:30 +0200

apt (0.7.25.3ubuntu9common4) lucid; urgency=low

  * Merge recent fixes from lp:~pitti/apt/compressed-indexes:
    - Switch FileFd to not transparently gunzip, since that breaks code which
      expects the compressed contents to stay (such as the copy backend, or
      when using file:// repositories. Instead, introduce a new ReadOnlyGzip
      mode and use that where needed.
    - test-indexes.sh: Test handling of local file:// archives
    - apt-pkg/acquire-item.cc: Fix handling of local (file:/) sources
    - test-indexes.sh: EXFAIL: file:/ URIs currently decompress even with the
      GzipIndexes option; not a problem, just a point for future optimization

 -- Martin Pitt <martin.pitt@canonical.com>  Fri, 25 Jun 2010 00:12:23 +0200

apt (0.7.25.3ubuntu9common3) lucid; urgency=low

  * apt-pkg/contrib/fileutl.{h,cc}: Initializing the new (private!) FileFd::gz
    member from the constructors is an ABI break (yay C++, I love you!). As a
    workaround, change the logic of FileFd to not depend on "gz" to be
    initialized, but use a new flag "UseGzip" in the already existing "Flags"
    member instead. (Most probably fixes LP: #595656)

 -- Martin Pitt <martin.pitt@canonical.com>  Mon, 21 Jun 2010 15:32:38 +0200

apt (0.7.25.3ubuntu9common2) lucid; urgency=low

  * Merge recent fixes from lp:~pitti/apt/compressed-indexes:
    - Greatly extend and clean up the test suite to cover more corner cases.
    - Stop erroneously removing already existing indexes if they are current
      on update in GzipIndexes mode, i. e. we have an IMS cache hit.

 -- Martin Pitt <martin.pitt@canonical.com>  Thu, 17 Jun 2010 14:11:51 +0200

apt (0.7.25.3ubuntu9common1) lucid; urgency=low

  * Backport support for compressed local indexes from branch
    lp:~pitti/apt/compressed-indexes:
    - apt-pkg/contrib/fileutl.{h,cc}: Add support for transparent reading of
      gzipped files. Link against zlib (in apt-pkg/makefile) and add zlib build
      dependency.
    - configure.in: Check for zlib library and headers.
    - apt-pkg/deb/debindexfile.cc: If we do not find uncompressed
      package/source/translation indexes, look for gzip compressed ones.
    - apt-pkg/acquire-item.cc:- If the Acquire::GzipIndexes option is true and
      we download a gzipped index file, keep it as it is (and rename to .gz)
      instead of uncompressing it.
    - doc/apt.conf.5.xml: Document the new Acquire::GzipIndexes option.
    - doc/po/apt-doc.pot, doc/po/de.po: German translation of new
      Acquire::GzipIndexes option.
    - Add test/test-indexes.sh: Test behaviour of index retrieval and usage,
      in particular with uncompressed and gzip compressed indexes.
    - debian/rules: Make DEB_BUILD_OPTIONS=noopt actually work by passing the
      right CXXFLAGS.
  * debian/control: Set Vcs-Bzr to oem-netbook branch. Branched from
    https://code.launchpad.net/~ubuntu-core-dev/apt/ubuntu.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 15 Jun 2010 13:42:09 +0200

apt (0.7.25.3ubuntu9) lucid-proposed; urgency=low

  * debian/apt.postinst:
    - do not fail if getent returns nothing useful (LP: #579647)
      thanks to Jean-Baptiste Lallement

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 May 2010 09:40:50 +0200

apt (0.7.25.3ubuntu8) lucid-proposed; urgency=low

  [ Loïc Minier ]
  * Use https:// in Vcs-Bzr URL.

  [ Michael Vogt ]
  * apt-pkg/deb/debrecords.cc:
    - fix max tag buffer size (LP: #545336, closes: #578959)
  * apt-pkg/indexfile.cc:
    - If no "_" is found in the language code, try to find a "."
      This is required for languages like Esperanto that have no
      county associated with them (LP: #560956)
      Thanks to "Aisano" for the fix

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 05 May 2010 10:33:46 +0200
