## apt 0.7.25.3ubuntu9.3common4

=== debian/changelog ===
apt (0.7.25.3ubuntu9.3common4) lucid; urgency=low

  * apt-pkg/deb/debindexfile.cc, test/test-indexes.sh: Fix regression which
    caused operations to fail if there are no apt indexes in
    /var/lib/apt/lists/. Adapt the patch a bit to work with the lucid version
    of GlobalError, which doesn't yet have {Push,Revert}ToStack.

 -- Martin Pitt <martin.pitt@canonical.com>  Fri, 15 Oct 2010 18:11:03 +0200

apt (0.7.25.3ubuntu9.3common3) lucid; urgency=low

  * apt-pkg/contrib/fileutl.cc: Cherrypick FileFd::Size() fix for empty or
    broken gzip files. Thanks Michael Vogt!

 -- Martin Pitt <martin.pitt@canonical.com>  Wed, 13 Oct 2010 16:25:59 +0200

apt (0.7.25.3ubuntu9.3common2) lucid; urgency=low

  * Fix cache building progress going way beyond 100% when using compressed
    indexes. Backported from lp:~pitti/apt/compressed-indexes r2030/r2031.

 -- Martin Pitt <martin.pitt@canonical.com>  Wed, 13 Oct 2010 13:23:05 +0200

apt (0.7.25.3ubuntu9.3common1) lucid; urgency=low

  * Merge with lucid-proposed.

 -- Martin Pitt <martin.pitt@canonical.com>  Thu, 30 Sep 2010 15:42:54 +0200

apt (0.7.25.3ubuntu9.3) lucid-proposed; urgency=low

  * ftparchive/writer.cc:
    - port changes from maverick to remove size limit for
      Files,Checksum-Sha1,Checksum-Sha256

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Sep 2010 18:49:09 +0200

apt (0.7.25.3ubuntu9.2) lucid-proposed; urgency=low

  * ftparchive/writer.cc:
    - write out {Files,Checksum-Sha1,Checksum-Sha256} only if
      available LP: #633967. Thanks to Colin Watson

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Sep 2010 14:43:41 +0200
