## apt 0.7.25.3ubuntu9.3common4charlotte1

=== debian/changelog ===
apt (0.7.25.3ubuntu9.3common4charlotte1) lucid; urgency=low

  * debian/apt.cron.daily: run apt-xapian-index with nice 19 (LP: #745219)

 -- Alex Chiang <achiang@canonical.com>  Thu, 07 Apr 2011 14:48:04 -0600
