## apt 0.7.25.3ubuntu9.6

=== debian/changelog ===
apt (0.7.25.3ubuntu9.6) lucid-proposed; urgency=low

  * backport support for xz compression (LP: #805389)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 13 Jul 2011 11:57:22 +0200

apt (0.7.25.3ubuntu9.5) lucid-proposed; urgency=low

  [ Michael Vogt ]
  * debian/apt.cron.daily:
    - source /etc/default/locale (if available) so that the 
      apt-get update cron job fetches the right translated package
      descriptions (LP: #652951)
  
  [ LoÃ¯c Minier ]
  * Backport r2014.1.2 (see below); fixes bug in APT when running the
    linaro-image-tools testsuite; LP: #709895.

    [ David Kalnischkies ]
    * apt-pkg/acquire-item.cc:
      - use also unsigned Release files again (Closes: #596189)
  
  [ Colin Watson ]
  * Backport r1327.24.434, 1327.24.437, 1327.76.1 (LP: #787500)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 May 2011 18:23:29 +0200

apt (0.7.25.3ubuntu9.4) lucid-proposed; urgency=low

  * backported the apt-ftparchive --arch support (LP: #714970)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Feb 2011 20:56:11 +0100
