## apt 0.7.25.3ubuntu9.9

=== debian/changelog ===
apt (0.7.25.3ubuntu9.9) lucid-security; urgency=low

  * SECURITY UPDATE: sensitive information disclosure via incorrect
    hostname validation (LP: #868353)
    - methods/https.cc: properly set CURLOPT_SSL_VERIFYHOST.
    - CVE-2011-3634
  * SECURITY UPDATE: Restore apt-ket net-update functionality (LP: #857472)
    - cmdline/apt-key: improve key validation.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Nov 2011 13:56:02 -0500

apt (0.7.25.3ubuntu9.8) lucid-proposed; urgency=low

  * Backports of various archive-support features (LP: #865828):
    - update xz support to also support xz Packages and Sources
    - backport apt-ftparchive support for splitting out long
      descriptions from the Packages file into Translations-en
    - backport fix for apt-ftparchive hang from debian-sid branch
  * The above backports were all heavily tested on the Ubuntu
    ftpmaster machines in a previously-released internal version

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 03 Oct 2011 19:16:24 -0600

apt (0.7.25.3ubuntu9.7) lucid-security; urgency=low

  * SECURITY UPDATE: Disable apt-key net-update for now, as validation
    code is insecure. (LP: #856489)
    - cmdline/apt-key: exit immediately out of net_update().
    - CVE number pending

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 22 Sep 2011 11:24:50 -0400
