## apt 0.7.25.3ubuntu9.11

=== debian/changelog ===
apt (0.7.25.3ubuntu9.11) lucid-proposed; urgency=low

  * New patch from upstream ftparchive-fix-filemode-settings.patch:
    - Ensure that BinDirectory as well as Tree settings get the correct
      default FileMode setting (LP: #917845, Closes: #595922)

 -- Leo Iannacone <l3on@ubuntu.com>  Tue, 31 Jan 2012 15:38:41 +0100

apt (0.7.25.3ubuntu9.10) lucid-proposed; urgency=low

  * apt-pkg/algorithms.cc: Iterate Breaks the same way as Conflicts, so that
    we resolve virtual package Breaks more effectively (LP: #922485).
  * apt-pkg/algorithms.{cc,h}: Use an int to represent resolver scores, not
    a signed short, because large upgrades can result in an overflow for
    core packages (LP: #917173).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jan 2012 13:35:04 +0000
