## apt 0.7.25.3ubuntu9.14

=== debian/changelog ===
apt (0.7.25.3ubuntu9.14) lucid-proposed; urgency=low

  * ftparchive/override.cc:
    - Double maximum override line length to 1000 (LP: #1038961).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Aug 2012 13:40:41 +0100
