## apt 0.7.25.3ubuntu9.17.1

=== debian/changelog ===
apt (0.7.25.3ubuntu9.17.1) lucid-security; urgency=low

  * SECURITY UPDATE:
    - fix potential buffer overflow, thanks to the
      Google Security Team (CVE-2014-6273)
  * Fix regression from the previous upload when file:/// sources
    are used and those are on a different partition than
    the apt state directory (LP: #1371058)
  * Fix regression when Dir::state::lists is set to a relative path
  * Fix regression when cdrom: sources got rewriten by apt-cdrom add

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Sep 2014 08:58:49 +0200

apt (0.7.25.3ubuntu9.16) lucid-security; urgency=low

  * SECURITY UPDATE: 
    - incorrect invalidating of unauthenticated data (CVE-2014-0488)
    - incorrect verification of 304 reply (CVE-2014-0487)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Sep 2014 08:23:05 +0200

apt (0.7.25.3ubuntu9.15) lucid-security; urgency=low

  * SECURITY UPDATE: incorrect apt-get source validation (LP: #1329274)
    - warn if not authenticated in cmdline/apt-get.cc.
    - CVE-2014-0478

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 Jun 2014 15:10:43 +0200
