## apt 0.8.3ubuntu7

=== debian/changelog ===
apt (0.8.3ubuntu7) maverick; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/depcache.cc:
    - do not remove packages which the user requested for installation
      explicitly while satisfying other install requests (Closes: #598669)
    Test case: debootstrap, install exim4, run "apt-get install postfix"
    This will result in exim4-heavy instead of postfix

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Oct 2010 14:13:38 +0200

apt (0.8.3ubuntu6) maverick; urgency=low

  [ Michael Vogt ]
  * debian/apt.cron.daily:
    - source /etc/default/locale (if available) so that the 
      apt-get update cron job fetches the right translated package
      descriptions (LP: #652951)

  [ David Kalnischkies ]
  * apt-pkg/depcache.cc:
    - do not check endpointer packages instead of only those which prevented
      NeverAutoRemove settings from having an effect (Closes: #598452)
  * cmdline/apt-cache.cc:
    - use the TranslatedDescription for searching and not the first
      available one as it is maybe not an expected language (Closes: #597925)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 01 Oct 2010 15:25:00 +0200

apt (0.8.3ubuntu5) maverick; urgency=low

  * debian/apt.dirs:
    - add missing /usr/share/apt so that the keyring is installed
      into the right place (LP: #620576)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 22 Sep 2010 18:34:18 +0200

apt (0.8.3ubuntu4) maverick; urgency=low

  * merged lp:~mvo/apt/conflicts-on-virtuals to better deal
    with conflicts/breaks against virtual packages (LP: #614993)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Sep 2010 19:48:26 +0200

apt (0.8.3ubuntu3) maverick; urgency=low

  * merged fixes from debian-sid
  
  [ Michael Vogt ]
  * apt-pkg/contrib/cdromutl.cc:
    - if apt-cdrom is used on writable media (like usb-sticks), do
      not use the root directory to identify the medium (as all 
      changes there change the ident id). Use the .disk directory 
      instead 

  [ David Kalnischkies ]
  * ftparchive/writer.cc:
    - null the valid string instead of the date if Valid-Until is not set
  * apt-pkg/acquire-item.cc:
    - use also unsigned Release files again (Closes: #596189)

  [ Christian Perrier ]
  * Fix missing space after dot in a message from apt-pkg
    Translations unfuzzied. Thanks to Holger Wansing.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Sep 2010 21:45:49 +0200

apt (0.8.3ubuntu2) maverick; urgency=low

  * ftparchive/writer.cc:
    - write out {Files,Checksum-Sha1,Checksum-Sha256} only if
      available LP: #633967. Thanks to Colin Watson

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Sep 2010 15:30:19 +0200

apt (0.8.3ubuntu1) maverick; urgency=low

  * merged fixes from debian-sid
  * debian/rules:
    - put ubuntu-archive.gpg back into the package (LP: #620576)
  * apt-pkg/init.cc:
    - ignore ".distUpgrade" and ".save" files in sources.list.d
      (LP: #631770)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Sep 2010 09:27:24 +0200

apt (0.8.3) unstable; urgency=low

  [ Programs translations ]
  * German (Holger Wansing). Closes: #596141

  [ Manpages translations ]
  * Japanese (KURASAWA Nozomu). Closes: #595862

  [ Michael Vogt ]
  * apt-pkg/indexcopy.cc:
    - only use trusted.gpg.d directory if it exists
    - do not replace /dev/null when running in APT::CDROM::NoAct
      mode (LP: #612666), thanks to Colin Watson

  [ David Kalnischkies ]
  * ftparchive/apt-ftparchive.cc:
    - ensure that BinDirectory as well as Tree settings get
      the correct default FileMode setting (Closes: #595922)

 -- Michael Vogt <mvo@debian.org>  Tue, 07 Sep 2010 15:28:41 +0200

apt (0.8.2) unstable; urgency=low

  [ Manpages translations ]
  * Spanish (Omar Campagne). Closes: #595557

  [ David Kalnischkies ]
  * apt-pkg/versionmatch.cc:
    - do not accept 'Pin: origin "' (missing closing ") as a valid
      way to pin a local archive: either "" or none…
  * apt-pkg/deb/dpkgpm.cc:
    - create Dir::Log if needed to support /var/log as tmpfs or similar,
      inspired by Thomas Bechtold, thanks! (Closes: #523919, LP: #220239)
  * apt-pkg/indexcopy.cc:
    - support really still the APT::GPGV::TrustedKeyring setting,
      as it breaks d-i badly otherwise (Closes: #595428)
  * cmdline/apt-key:
    - support also Dir::Etc::Trusted so that apt-key works in the same
      way as the library part which works with the trusted files
  * methods/{gzip,bzip2}.cc:
    - empty files can never be valid archives (Closes: #595691)

 -- Michael Vogt <mvo@debian.org>  Mon, 06 Sep 2010 18:10:06 +0200

apt (0.8.1) unstable; urgency=low

  [ Programs translations ]
  * Thai (Theppitak Karoonboonyanan). Closes: #592695
  * Russian (Yuri Kozlov). Closes: #594232
  * Slovak (Ivan Masár). Closes: #594255
  * Swedish (Daniel Nylander). Closes: #594241
  * Japanese (Kenshi Muto, Osamu Aoki). Closes: #594265
  * Italian (Milo Casagrande). Closes: #594238
  * Asturian (maacub). Closes: #594303
  * Simplified Chinese (Aron Xu). Closes: #594458
  * Bulgarian (Damyan Ivanov). Closes: #594627
  * Portuguese (Miguel Figueiredo). Closes: #594668
  * Korean (Changwoo Ryu). Closes: #594809
  * Norwegian Bokmål (Hans Nordhaug). Closes: #595182
  * Danish (Joe Hansen). Closes: #595176
  * Catalan (Agustí Grau). Closes: #595234

  [ Christian Perrier ]
  * Fix spelling error in cmdline/apt-get.cc. Thanks to Osamu Aoki
    Closes: #594211

  [ Manpages translations ]
  * Portuguese (Américo Monteiro)

  [ David Kalnischkies ]
  * cmdline/apt-cache.cc:
    - show in madison command again also source packages (LP: #614589)
    - remove useless GetInitialize method
  * cmdline/apt-get.cc:
    - remove direct calls of ReadMainList and use the wrapper instead
      to protect us from useless re-reads and two-times notice display
    - remove death code by removing unused GetInitialize
  * apt-pkg/depcache.cc:
    - now that apt-get purge works on 'rc' packages let the MarkDelete
